For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTApprove/Reject time-off requests
      • DELCancel time-off request
      • POSTCreate time-off request
      • POSTExternal HR Time Off Synchronization
      • GETGet Profile Entitlements
      • GETGet Time Off Events for Profile
      • GETGet Work Schedule and Holidays
      • GETList policies
      • GETList time-off requests
      • GETList time-off requests for Organization
      • GETRetrieve policy validation templates
      • PATCHUpdate time-off request
      • POSTValidate time-off request
LogoLogo
SupportDeel Home
EndpointsTime Off

List policies

GET
/time_offs/profile/:hris_profile_id/policies
GET
/rest/v2/time_offs/profile/:hris_profile_id/policies
$curl -G https://api.letsdeel.com/rest/v2/time_offs/profile/f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b/policies \
> -H "Authorization: Bearer <token>" \
> --data-urlencode "policy_type_name=Adoption leave" \
> -d policy_type_id=f7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b
1{
2 "policies": [
3 {
4 "id": "c7f4986f-39a4-4f5d-9325-f37a8e9f5cdf",
5 "name": "US PTO Policy",
6 "created_at": "2023-01-01T00:00:00Z",
7 "leave_type": "SHORT_TERM_LEAVE",
8 "updated_at": "2023-01-15T12:30:45Z",
9 "policy_type": {
10 "id": "c7f4986f-39a4-4f5d-9325-f37a8e9f5cdf",
11 "name": "Vacation"
12 },
13 "payment_type": "PAID",
14 "tracking_unit": "YEAR",
15 "policy_allowances": [
16 {
17 "id": "c7f4986f-39a4-4f5d-9325-f37a8e9f5cdf",
18 "type": "BASE_ALLOWANCE",
19 "accrual_type": "TIMEFRAME",
20 "accrual_unit": "MONTH",
21 "rollover_type": "CARRY_OVER",
22 "entitlement_unit": "CALENDAR_DAY",
23 "accrual_unit_amount": 1,
24 "enable_bank_holidays": true,
25 "balance_tracking_type": "FLEXIBLE_NO_LIMIT",
26 "entitlement_start_date": "2023-01-01",
27 "entitlement_start_type": "IMMEDIATELY",
28 "entitlement_start_unit": "CALENDAR_DAY",
29 "entitlement_unit_amount": 15,
30 "accrual_application_type": "BEGIN_OF_CYCLE",
31 "rollover_expiration_unit": "MONTH",
32 "rollover_limit_unit_amount": 5,
33 "entitlement_expiration_unit": "MONTH",
34 "entitlement_start_unit_amount": 90,
35 "rollover_expiration_unit_amount": 6,
36 "entitlement_expiration_unit_amount": 3,
37 "zero_out_negative_balances_on_rollover": true,
38 "balance_tracking_flexible_custom_request_amount": 8,
39 "part_time_prorated_entitlement_unit_amount": 7.5
40 }
41 ],
42 "notice_period_unit": "BUSINESS_DAY",
43 "request_start_type": "IMMEDIATELY",
44 "request_start_unit": "BUSINESS_DAY",
45 "overlap_request_type": "NOT_ALLOWED",
46 "tracking_unit_amount": 1,
47 "time_off_request_type": "HALF_DAY",
48 "is_attachment_required": "REQUIRED",
49 "is_description_required": true,
50 "notice_period_unit_amount": 14,
51 "request_start_unit_amount": 14,
52 "policy_allowance_proration": {
53 "prorates_on_hire": true,
54 "prorates_on_termination": true,
55 "part_time_worker_treatment_type": "CUSTOM_ENTITLEMENT",
56 "part_time_worker_treatment_specific_amount": 12
57 },
58 "retrospective_request_type": "ALLOWED",
59 "allow_to_edit_past_time_offs": false,
60 "auto_approval_inactivity_time_unit": "CALENDAR_DAY",
61 "auto_approval_inactivity_time_unit_amount": 3,
62 "description": "Standard paid time off policy for US employees",
63 "policy_type_id": "c7f4986f-39a4-4f5d-9325-f37a8e9f5cdf",
64 "time_off_types": [
65 {
66 "id": "c7f4986f-39a4-4f5d-9325-f37a8e9f5cdf",
67 "name": "Vacation",
68 "description": "Annual vacation leave"
69 }
70 ],
71 "tracking_cadence": "FIXED_DAY",
72 "tracking_start_date": "2023-01-01"
73 }
74 ]
75}

Returns the time-off policies assigned to the specified hris_profile_id, including policy details such as allowed types, accrual rules, and balances. Results can be filtered by policy type name or policy type ID. Token scopes: time-off:read

Was this page helpful?
Previous

List time-off requests

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hris_profile_idstringRequiredformat: "uuid"
hrisProfileId id.

Query parameters

policy_type_nameenumOptional
Policy type name.
policy_type_idstringOptionalformat: "uuid"
policy type id

Response

Successful operation.
policieslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication